unit blank_tile;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls;

type
  TBlankTileForm = class(TForm)
    BlankTileLetterEdit: TEdit;
    BlankTileLabel: TLabel;
    BlankTileButton: TButton;
    BlankTileUpDown: TUpDown;
    procedure BlankTileLetterEditChange(Sender: TObject);
    procedure BlankTileUpDownChangingEx(Sender: TObject;
      var AllowChange: Boolean; NewValue: Smallint;
      Direction: TUpDownDirection);
    procedure BlankTileButtonClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
    TileOrd: Integer;
  public
    { Public declarations }
  end;

var
  BlankTileForm: TBlankTileForm;

implementation

uses game;

{$R *.dfm}

procedure TBlankTileForm.BlankTileLetterEditChange(Sender: TObject);
begin
  //ShowMessage('Edit='+BlankTileLetterEdit.Text);
  if Length(BlankTileLetterEdit.Text)=0 then
  begin
    //BlankTileUpDown.Position:=0;
    TileOrd:=0;
    BlankTileButton.Enabled:=false;
    exit;
  end;
  TileOrd:=TilesOrder[ord(BlankTileLetterEdit.Text[1])];
  if TileOrd=0 then BlankTileLetterEdit.Text:=''
  else BlankTileButton.Enabled:=true;
end;

procedure TBlankTileForm.BlankTileUpDownChangingEx(Sender: TObject;
  var AllowChange: Boolean; NewValue: Smallint;
  Direction: TUpDownDirection);
var
  i: Integer;
begin
  if Direction = updUp then Inc(TileOrd)
  else if Direction = updDown then Dec(TileOrd);

  if TileOrd < 1 then TileOrd:=42
  else if TileOrd > 42 then TileOrd:=1;

  for i:=32 to 255 do if TilesOrder[i]=TileOrd then
  begin
    BlankTileLetterEdit.Text:=chr(i);
    BlankTileLetterEdit.SelectAll;
    break;
  end;

  AllowChange:=false;
end;

procedure TBlankTileForm.BlankTileButtonClick(Sender: TObject);
begin
  if Length(BlankTileLetterEdit.Text) <> 1 then exit;

  ModalResult:=ord(BlankTileLetterEdit.Text[1]);
end;

procedure TBlankTileForm.FormActivate(Sender: TObject);
begin
  BlankTileLetterEdit.SelectAll;
  BlankTileLetterEdit.SetFocus;
end;

procedure TBlankTileForm.FormCreate(Sender: TObject);
begin
  Left:=(Screen.Width-Width) div 2;
  Top:=(Screen.Height-Height) div 2;
end;

end.
