unit players;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls;

type
  TPlayersForm = class(TForm)
    NumPlayersEdit: TEdit;
    NumPlayersLabel: TLabel;
    NumPlayersUpDown: TUpDown;
    Player1Edit: TEdit;
    Player1Label: TLabel;
    Player2Edit: TEdit;
    Player2Label: TLabel;
    Player3Edit: TEdit;
    Player3Label: TLabel;
    Player4Edit: TEdit;
    Player4Label: TLabel;
    Player1CheckBox: TCheckBox;
    Player2CheckBox: TCheckBox;
    Player3CheckBox: TCheckBox;
    Player4CheckBox: TCheckBox;
    OkButton: TButton;
    CancelButton: TButton;
    procedure CancelButtonClick(Sender: TObject);
    procedure OkButtonClick(Sender: TObject);
    procedure NumPlayersEditChange(Sender: TObject);
    procedure PlayerCheckBoxClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  PlayersForm: TPlayersForm;

implementation

{$R *.dfm}

procedure TPlayersForm.CancelButtonClick(Sender: TObject);
begin
  ModalResult:=-1;
end;

procedure TPlayersForm.OkButtonClick(Sender: TObject);
begin
  ModalResult:=StrToInt(NumPlayersEdit.Text);
end;

procedure TPlayersForm.NumPlayersEditChange(Sender: TObject);
var
  x: Integer;
begin
  x:=StrToInt(NumPlayersEdit.Text);

  if x=4 then
  begin
    Player4Label.Visible:=true;
    Player4Edit.Visible:=true;
    Player4Checkbox.Visible:=true;
  end
  else
  begin
    Player4Label.Visible:=false;
    Player4Edit.Visible:=false;
    Player4Checkbox.Visible:=false;
  end;

  if x>=3 then
  begin
    Player3Label.Visible:=true;
    Player3Edit.Visible:=true;
    Player3Checkbox.Visible:=true;
  end
  else
  begin
    Player3Label.Visible:=false;
    Player3Edit.Visible:=false;
    Player3Checkbox.Visible:=false;
  end;
end;

procedure TPlayersForm.PlayerCheckBoxClick(Sender: TObject);
begin
  if Sender=Player1CheckBox then Player1Edit.Enabled:=not Player1CheckBox.Checked
  else if Sender=Player2CheckBox then Player2Edit.Enabled:=not Player2CheckBox.Checked
  else if Sender=Player3CheckBox then Player3Edit.Enabled:=not Player3CheckBox.Checked
  else if Sender=Player4CheckBox then Player4Edit.Enabled:=not Player4CheckBox.Checked;
end;

procedure TPlayersForm.FormCreate(Sender: TObject);
begin
  Left:=(Screen.Width-Width) div 2;
  Top:=(Screen.Height-Height) div 2;
end;

procedure TPlayersForm.FormActivate(Sender: TObject);
begin
  OkButton.SetFocus;
end;

end.
